# Rate Limits

ComplyCube’s API enforces the following maximum request rates:

* **Live environment**: up to **10 requests per second**.
* **Test (Sandbox) environment**: up to **5 requests per second**.

Requests that exceed these limits may be throttled or temporarily blocked.&#x20;

Any request that exceeds the allowed rate will receive a `429 Too Many Requests` response.

{% hint style="info" %}
You should implement suitable error handling for `429` errors. Using an **exponential backoff** strategy with random jitter is the recommended approach to safely retry requests and avoid repeated throttling.
{% endhint %}

### Avoiding the limit

To help prevent reaching rate limits, consider the following best practices:

* Run non-essential or routine batch jobs outside of peak hours.
* Throttle or limit the frequency of batch jobs.
* Implement exponential backoff for retries, starting with a 30-second delay.
* Prioritize requests that are essential to verifying active clients.
* Use webhooks instead of polling our API for updates.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/rate-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
